### GET /item/list
* method: GET
* version: v1.0
* describe: 获取商品列表

##### 参数说明

|name |type| null | desc |
|---- |:---|:---|:----:|
| code | string | yes | 编码 |
| name | string | yes | 名称 |
| type | string | yes | 商品类型 [COURSE, SUPPORT]|
| status | int | yes | 状态 |
| merchantId | string
| pageNo | int | yes | 页码 |
| pageSize | int | yes | 页大小 |

##### 返回字段说明
| name | type | desc |
|------|:-----|:----:|
| id | string | id |
| code | string | 编码 |
| name | string | 名称 |
| type | string | 类型 |
| tags | array | 标签名数组 |
| playUrl| string | 播放地址 |
| cpId| string | 内容提供商id |
| cpName| string | 内容提供商名字 |
| merchantId | string | 渠道商id |
| merchantName | string | 渠道名 |
| status| string| 状态 |
| gmtCreated|int | 创建时间 |
| gmtModified|int|修改时间|

##### 结果示例
```
{
    "code": 200,
    "success": true,
    "message": null,
    "data": {
        "pageNo": 1,
        "pageSize": 10,
        "totalSize": 1,
        "list": [
            {
                "id": "525694229fb148afb3c10585964f9583",
                "subId": null,
                "code": "K-test-311",
                "name": "小学310",
                "type": "COURSE",
                "merchantId": "87",
                "sort": 2,
                "status": "SALE",
                "gmtCreated": 1512033359000,
                "gmtModified": 1512033359000,
                "priceList": null,
                "tagList": null
            }
        ],
        "start": 0,
        "totalNo": 1
    }
}
```
