### GET /item/{id}
* method: GET
* version: v1.0
* describe: 获取单个商品

##### 参数说明

|name |type| null | desc |
|---- |:---|:---|:----:|
| id | string | no | 编码 |

##### 返回字段说明
| name | type | desc |
|------|:-----|:----:|
| id | string| id |
| code | string | 编码 |
| name | string | 名称 |
| tags | array | 标签名数组 |
| cpId| string | 内容提供商id |
| cpName| string | 内容提供商名字 |
| status| string| 状态 |
| priceList | array | 价格数组 |
| tagList | array | 标签数组 |
| gmtCreated|int | 创建时间 |
| gmtModified|int|修改时间|

##### 结果示例
```
{
    "code": 200,
    "success": true,
    "message": null,
    "data": {
        "id": "061bf606584c4efdab1e0e6b7a71893b",
        "subId": "b3bfc6d5b15e474c95db98bd754cfeaf",
        "code": "K-test-311",
        "name": "小学310",
        "type": "COURSE",
        "merchantId": "87",
        "sort": 2,
        "status": "SALE",
        "gmtCreated": 1512981450000,
        "gmtModified": 1512981450000,
        "priceList": [
            {
                "id": "ca3710131a43496194f411f0ad4e7b79",
                "name": "test",
                "itemId": "061bf606584c4efdab1e0e6b7a71893b",
                "type": "NORMAL",
                "duration": 10,
                "cpPrice": 1,
                "merchantPrice": 2,
                "terminalPrice": 3,
                "sort": 0,
                "status": "NORMAL",
                "gmtCreated": null,
                "gmtModified": null,
                "packageId": null
            }
        ],
        "tagList": [
            {
                "id": "1",
                "name": "001",
                "groupId": "d513401461284feea555a3e0abc5974a",
                "sort": 1,
                "type": "COURSE",
                "status": "NORMAL",
                "gmtCreated": 1512956695000,
                "gmtModified": 1512971472000,
                "merchantId": "87",
                "groupName": "小学310",
                "itemList": null
            }
        ],
        "course": {
            "id": "b3bfc6d5b15e474c95db98bd754cfeaf",
            "code": "K-test-311",
            "name": "小学",
            "title": null,
            "digest": null,
            "detail": null,
            "keyword": null,
            "cvImgList": null,
            "bgImgList": null,
            "status": null,
            "gmtCreated": null,
            "gmtModified": null,
            "subItemList": [],
            "supportList": []
        },
        "support": null
    }
}
```
