### GET /merchant/{id}
* method: GET
* version: v1.0
* describe: 获取渠道商

##### 参数说明
|name |type| null | desc |
|---- |:---|:---|:----:
| id | string | no | id |

##### 返回字段说明
| name | type | desc |
|------|:-----|:----:|
| id | string | id |
| code | string | 代码 |
| name | string | 名称 |
| licenseId | string | 执照 |
| taxNumber | string | 纳税人识别号 |
| bankAccount | string | 银行账户 |
| depositBank | string | 开户行 |
| receiptType | string | 发票类型 |
| recommendVoList | array | 推荐列表 |
| status| int| 状态 |
| gmtCreated|int | 创建时间 |
| gmtModified|int|修改时间

##### recommend 说明
| name | type | desc |
|------|:-----|:----:|
| id | string | id |
| merchantId | string | 渠道商id |
| name | string | 商品名称 |
| type | string | 课程/周边 |
| itemId | string | 商品id |
| status | string | 状态 |
| sort | int | 排序 |
| gmtCreated|int | 创建时间 |
| gmtModified|int|修改时间


##### 示例
```
{
    "code": 200,
    "success": true,
    "message": null,
    "data": {
        "id": "1",
        "domain": null,
        "code": "2321",
        "name": "huodong",
        "licenseId": "23321",
        "taxNumber": "000",
        "bankAccount": "001",
        "depositBank": "海淀支行",
        "receiptType": "SPECIAL",
        "balance": 0,
        "status": "DEL",
        "gmtCreated": 1513304166000,
        "gmtModified": 1513827615000,
        "adminList": null,
        "recommendVoList": [
            {
                "id": "f0a3ab35bf2b47318f84e2ca18fd5af6",
                "merchantId": "1",
                "itemId": "061bf606584c4efdab1e0e6b7a71893b",
                "status": "NORMAL",
                "sort": 0,
                "gmtCreated": 1515063207000,
                "gmtModified": 1515063207000,
                "type": "COURSE",
                "name": "小学310"
            }
        ]
    }
}
```
