### GET /package/list
* method: GET
* version: v1.0
* describe: 获取商品包列表

##### 参数说明

|name |type| null | desc |
|---- |:---|:---|:----:|
| code | string | yes | 编码 |
| name | string | yes | 名称 |
| type | int | yes | 商品类型 |
| status | int | yes | 状态 |
| sort | string | yes | 排序字段 |
| by | int | yes | 1: ASC, -1: DESC |
| pageNo | int | yes | 页码 |
| pageSize | int | yes | 页大小 |

##### 返回字段说明
| name | type | desc |
|------|:-----|:----:|
| id | int | id |
| code | string | 编码 |
| name | string | 名称 |
| type | int | 类型 |
| tags | array | 标签名数组 |
| playUrl| string | 播放地址 |
| merchantId | int | 渠道商id |
| merchantName | string | 渠道名 |
| status| int| 状态 |
| gmtCreated|int | 创建时间 |
| gmtModified|int|修改时间|

##### 结果示例
```
{
  "code": "0000",
  "message": '',
  "data": {
    "page": {
      "pageNo": 0,
      "pageSize": 10,
      "hasNext": 1,
      "hasPrev": 0,
      "totalSize": 100,
      "totalNo": 10,
      "start": 20
    }
    "list": [
      {
        "id": 2,
        "code": "J-001",
        "name": "第一课",
        "digest": "简介",
        "type": 0,
        "tags": [
          {12:'a'},
          {22:'b'},
          {23:'c'}
          ],
        "cpName": "鲨鱼公园",
        "status": 0,
        "gmtCreated": "创建时间",
        "gmtModified": "修改时间"
      },
      ...
    ]
}
```
